import { mat4, vec3 } from "gl-matrix";
import { IBox } from "../interfaces/IBox";
import { ISphere } from "../interfaces/ISphere";
export declare class Box implements IBox {
    private _min;
    private _max;
    private _boundingSphere;
    private _boundingSphereState;
    constructor(_min?: vec3, _max?: vec3);
    intersect(origin: vec3, direction: vec3): number | null;
    intersects(origin: vec3, direction: vec3): boolean;
    get boundingSphere(): ISphere;
    get max(): vec3;
    set max(value: vec3);
    get min(): vec3;
    set min(value: vec3);
    applyMatrix(matrix: mat4): Box;
    clone(): IBox;
    containsPoint(point: vec3): boolean;
    clampPoint(point: vec3): vec3;
    setFromAttributeArray(array: Int8Array | Uint8Array | Int16Array | Uint16Array | Uint32Array | Float32Array, stride?: number, bytes?: number, matrix?: mat4): IBox;
    union(box: IBox): IBox;
    isEmpty(): boolean;
    reset(): void;
}
//# sourceMappingURL=Box.d.ts.map