import { mat4, vec3 } from "gl-matrix";
import { IPlane } from "../interfaces/IPlane";
export declare class Plane implements IPlane {
    private _normal;
    private _constant;
    constructor(_normal?: vec3, _constant?: number);
    get constant(): number;
    set constant(value: number);
    get normal(): vec3;
    set normal(value: vec3);
    applyMatrix(matrix: mat4): IPlane;
    clampPoint(point: vec3): vec3;
    clone(): IPlane;
    containsPoint(point: vec3): boolean;
    distanceToPoint(point: vec3): number;
    intersect(origin: vec3, direction: vec3): number | null;
    reset(): void;
    setFromNormalAndCoplanarPoint(normal: vec3, point: vec3): IPlane;
}
//# sourceMappingURL=Plane.d.ts.map