import { mat4, vec3 } from "gl-matrix";
import { IBox } from "../interfaces/IBox";
import { ISphere } from "../interfaces/ISphere";
export declare class Sphere implements ISphere {
    private _center;
    private _radius;
    constructor(_center?: vec3, _radius?: number);
    get center(): vec3;
    set center(value: vec3);
    get radius(): number;
    set radius(value: number);
    applyMatrix(matrix: mat4): Sphere;
    clone(): ISphere;
    containsPoint(point: vec3): boolean;
    clampPoint(point: vec3): vec3;
    intersect(origin: vec3, direction: vec3): number | null;
    intersects(origin: vec3, direction: vec3): boolean;
    setFromBox(box: IBox): ISphere;
    reset(): void;
}
//# sourceMappingURL=Sphere.d.ts.map