import { mat4, vec3 } from "gl-matrix";
import { IBox } from "./IBox";
import { IGeometry } from "./IGeometry";
export interface ISphere extends IGeometry {
    center: vec3;
    radius: number;
    applyMatrix(matrix: mat4): ISphere;
    clampPoint(point: vec3): vec3;
    clone(): ISphere;
    intersect(origin: vec3, direction: vec3): number | null;
    intersects(origin: vec3, direction: vec3): boolean;
    containsPoint(point: vec3): boolean;
    setFromBox(box: IBox): ISphere;
}
//# sourceMappingURL=ISphere.d.ts.map